- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# lastpass – fetch data from lastpass

- Synopsis
- Requirements
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- use the lpass command line utility to fetch specific fields from lastpass

## Requirements

The below requirements are needed on the local master node that executes this lookup.

- lpass (command line utility)
- must have already logged into lastpass

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
_terms - / required |  |  | key from which you want to retrieve the field
field - | Default: "password" |  | field to return from lastpass

## Examples

    - name: get 'custom_field' from lastpass entry 'entry-name'
      debug:
        msg: "{{ lookup('lastpass', 'entry-name', field='custom_field') }}"

## Return Values

Common return values are documented here, the following are the fields unique to this lookup:

Key | Returned | Description
--- | --- | ---
_raw - |  | secrets stored

## Status

- This lookup is not guaranteed to have a backwards compatible interface. [preview]
- This lookup is maintained by the Ansible Community. [community]

### Authors

- Andrew Zenk <azenk@umn.edu>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.